export declare let RequestBody: (target: Object, propertyKey: string | symbol, parameterIndex: number) => void;
export declare let RequestParam: (key: any) => (target: Object | any, propertyKey: string | symbol, parameterIndex: number) => void;
export declare let RequestQuery: (key: any) => (target: Object, propertyKey: string | symbol, parameterIndex: number) => void;
export declare let RequestHeader: (target: Object, propertyKey: string | symbol, parameterIndex: number) => void;
export declare let Request: (target: Object, propertyKey: string | symbol, parameterIndex: number) => void;
export declare let Responce: (target: Object, propertyKey: string | symbol, parameterIndex: number) => void;
export declare let Next: (err?: any) => (target: Object, propertyKey: string | symbol, parameterIndex: number) => void;
export declare let Send: (data: any) => (target: Object, propertyKey: string | symbol, parameterIndex: number) => void;
export declare function RequestMap1(method: string, path: string): (target: Object, propertyName: string | Symbol, descriptor: TypedPropertyDescriptor<Function>) => TypedPropertyDescriptor<Function>;
export declare let Middleware1: (option?: any) => (target: any, propertyName: string, descriptor: PropertyDescriptor) => PropertyDescriptor;
export declare let AddMiddleware: (fun: Array<Function>) => (target: any, propertyName: string, descriptor: TypedPropertyDescriptor<Function>) => void;
export declare let Controller: (property: {
    url?: string;
    domain?: string;
    env?: string;
}) => (target: Function) => void;
export declare function RequestMap(method: "get" | "post" | "put" | "delete", path: any): (target: Object, key: string | symbol, descriptor: PropertyDescriptor) => PropertyDescriptor;
export declare function Middleware(): (target: Object, key: string | symbol, descriptor: PropertyDescriptor) => PropertyDescriptor;
export declare class Server {
    static app: any;
    static setApp(app: any): void;
    static addController(controller: any): void;
}
//# sourceMappingURL=WebAnotation.d.ts.map